Name:		boswars
Summary:	A real time strategy game
Version:	2.7
Release:	%mkrel 9
Source0:	http://www.boswars.org/dist/releases/%{name}-%{version}-src.zip
Source11:	%{name}-16.png
Source12:	%{name}-32.png
Source13:	%{name}-48.png
Patch1:		%{name}-2.6.1-scons-blows.patch
Patch3:         boswars-2.7-compat-lua-5.1.patch
URL:		http://www.boswars.org/
Group:		Games/Strategy
License:	GPLv2+
BuildRequires:	scons
BuildRequires:	libx11-devel
BuildRequires:	mesagl-devel
BuildRequires:	SDL-devel
BuildRequires:	lua5.1-devel
BuildRequires:	libogg-devel
BuildRequires:	oggvorbis-devel
BuildRequires:	png-devel
BuildRequires:	libtheora-devel
BuildRequires:	zlib-devel
BuildRequires:	imagemagick
Requires:	%{name}-data = %{version}-%{release}
Obsoletes:	bos < 2.7
Provides:	bos = {%version}-%{release}

%description
Invasion - Battle of Survival is a real-time strategy game using
the Stratagus game engine.

%package data
Summary:	Data files for %{name}
Group:		Games/Strategy
BuildArch:	noarch
Requires:	%{name} = %{version}-%{release}
Conflicts:	bos < 2.6.1-6
Obsoletes:	bos-data < 2.7
Provides:	bos-data = %{version}-%{release}

%description data
Invasion - Battle of Survival is a real-time strategy game using
the Stratagus game engine.

This package contains data files for %{name} game.

%prep
%setup -q -n %{name}-%{version}-src
%autopatch -p1

%build
scons opengl=1

%install
mkdir -p %{buildroot}{%_gamesbindir,%_gamesdatadir/%{name}}
install -m 0755 build/%{name}-release %{buildroot}%{_gamesbindir}/%{name}

cp -ra campaigns graphics intro languages maps patches scripts sounds units %{buildroot}%{_gamesdatadir}/%{name}/
install -m 0644 %{SOURCE11} -D %{buildroot}%{_miconsdir}/%{name}.png
install -m 0644 %{SOURCE12} -D %{buildroot}%{_iconsdir}/%{name}.png
install -m 0644 %{SOURCE13} -D %{buildroot}%{_liconsdir}/%{name}.png

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=Bos Wars
Comment=Bos Wars is a futuristic real-time strategy game
Exec=%{name} -d %{_gamesdatadir}/%{name}
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=false
Categories=Game;StrategyGame;
EOF

%files 
%doc doc/*
%{_gamesbindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_liconsdir}/%{name}.png

%files data
%{_gamesdatadir}/%{name}


%changelog
* Thu Feb 04 2016 umeabot <umeabot> 2.7-9.mga6
+ Revision: 935209
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.7-8.mga5
+ Revision: 743547
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.7-7.mga5
+ Revision: 678206
- Mageia 5 Mass Rebuild

* Sun Jun 29 2014 tv <tv> 2.7-6.mga5
+ Revision: 641226
- revert to lua5.1
- patch 3: fix build with lua-5.2
- rebuild with lua-5.2

* Mon Oct 21 2013 umeabot <umeabot> 2.7-6.mga4
+ Revision: 538403
- Mageia 4 Mass Rebuild

* Mon Sep 30 2013 tv <tv> 2.7-5.mga4
+ Revision: 489549
- install the missing patches directory (fix missing background & segfault on exit)

* Sat Aug 03 2013 dams <dams> 2.7-4.mga4
+ Revision: 462904
- fix typo

* Fri Aug 02 2013 dams <dams> 2.7-3.mga4
+ Revision: 462546
- update/fix requires

* Fri Aug 02 2013 dams <dams> 2.7-2.mga4
+ Revision: 462516
- adds 'provides' and 'obsoletes' on 'bos/bos-data'
- clean specfile
- patch is now p1

* Tue Jul 09 2013 dams <dams> 2.7-1.mga4
+ Revision: 451607
- new version 2.7
- rename bos to boswars
- rename with better name

* Mon Jun 03 2013 fwang <fwang> 2.6.1-8.mga4
+ Revision: 435786
- rebuild for new libpng

* Fri Jan 11 2013 umeabot <umeabot> 2.6.1-7.mga3
+ Revision: 347146
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jul 30 2012 fwang <fwang> 2.6.1-6.mga3
+ Revision: 275928
- build with lua 5.1
- split out data files

  + dams <dams>
    - clean spec file

* Tue Sep 13 2011 fwang <fwang> 2.6.1-4.mga2
+ Revision: 142950
- rebuild for new libpng

* Mon Apr 25 2011 wally <wally> 2.6.1-3.mga1
+ Revision: 90296
- fix desktop file (mga#954)
- drop unused patch from .src.rpm
- drop buildroot definition
- clean .spec a bit

* Thu Mar 17 2011 tv <tv> 2.6.1-2.mga1
+ Revision: 73493
- clean up
- imported package bos

